package com.yeejoin.amos.boot.biz.common.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.amos.boot.biz.common.entity.DataDictionary;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* 数据字典 Mapper 接口
*
* @author tb
* @date 2021-06-07
*/
public interface DataDictionaryMapper extends BaseMapper<DataDictionary> {
	/**
	 * 获取领域专家的列表信息，且带有该领域下的专家统计数量
	 * @return
	 */
   public List<DataDictionary>  getDataDictionaryListAndCount(String bizOrgCode);
   /**
    * 获取包含联动单位的联动单位树信息
    * @return
    */
   public List<DataDictionary>  getNoInLinkUnit(@Param("bizOrgCode") String bizOrgCode);

	/**
	 * 根据code值查询
	 * @return
	 */
	public DataDictionary getByCode(String code,String type);
	
	public List<DataDictionary>  getFireTeamTypeTree(String bizOrgCode);
	
	public List<DataDictionary> getwaterResourceTypeTree(String bizOrgCode);

	public List<DataDictionary> getFirefightersJobTitle(String type);


}
